亚马逊商品热门评论 API (V1)
接口健康状态
健康 可用 少量可用 基本不可用 暂无数据
正在加载健康状态…
通过ASIN获取指定国家市场中亚马逊商品的热门评论。用于审查突出的客户反馈以进行商品研究、情感分析或质量评估。
请求参数
| 参数名 | 位置 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|---|
token | query | string | 是 | - | 此API服务的鉴权令牌。 |
asin | query | string | 是 | - | 10 位字母数字的亚马逊标准识别号 (ASIN)。 |
country | query | string | 否 | US | 亚马逊产品的国家代码。 可用值: - US: 美国- AU: 澳大利亚- BR: 巴西- CA: 加拿大- CN: 中国- FR: 法国- DE: 德国- IN: 印度- IT: 意大利- MX: 墨西哥- NL: 荷兰- SG: 新加坡- ES: 西班牙- TR: 土耳其- AE: 阿拉伯联合酋长国- GB: 英国- JP: 日本- SA: 沙特阿拉伯- PL: 波兰- SE: 瑞典- BE: 比利时- EG: 埃及- ZA: 南非- IE: 爱尔兰 |
代码示例
bash
curl --max-time 120 -X GET 'https://api.justoneapi.com/api/amazon/get-product-top-reviews/v1?token=YOUR_API_KEY&asin=VALUE'text
我想使用 JustOneAPI 提供的“商品热门评论 (V1)”接口。
接入地址: https://api.justoneapi.com。
接口路径: /api/amazon/get-product-top-reviews/v1?token=YOUR_API_KEY&asin=VALUE
接口地址: BASE_URL + /api/amazon/get-product-top-reviews/v1?token=YOUR_API_KEY&asin=VALUE
HTTP 方法: GET
身份验证: 在 URL 中传入 token 查询参数。
OpenAPI 定义: https://docs.justoneapi.com/openapi/amazon/product-top-reviews-v1-zh.json
请求参数说明:
- token (query): 此API服务的鉴权令牌。 (必填)
- asin (query): 10 位字母数字的亚马逊标准识别号 (ASIN)。 (必填)
- country (query): 亚马逊产品的国家代码。
可用值:
- `US`: 美国
- `AU`: 澳大利亚
- `BR`: 巴西
- `CA`: 加拿大
- `CN`: 中国
- `FR`: 法国
- `DE`: 德国
- `IN`: 印度
- `IT`: 意大利
- `MX`: 墨西哥
- `NL`: 荷兰
- `SG`: 新加坡
- `ES`: 西班牙
- `TR`: 土耳其
- `AE`: 阿拉伯联合酋长国
- `GB`: 英国
- `JP`: 日本
- `SA`: 沙特阿拉伯
- `PL`: 波兰
- `SE`: 瑞典
- `BE`: 比利时
- `EG`: 埃及
- `ZA`: 南非
- `IE`: 爱尔兰
返回格式: 请根据实际 Content-Type 安全处理 JSON 或文本响应。
响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为 120 秒;如果 120 秒偏长,请至少设置为 60 秒,但可能会有少量请求因超时而未接收到结果。
3. 业务码说明:
- 0: 成功
- 100: Token 无效或已失效
- 301: 采集失败,请重试
- 302: 超出速率限制
- 303: 超出每日配额
- 400: 参数错误
- 500: 内部服务器错误
- 600: 权限不足
- 601: 账户余额不足
- 602: TOKEN 限额超限
4. code 601 表示账户共享余额不足。code 602 表示当前 API TOKEN 自身的累计消费上限已达到。TOKEN 限额不是资金划拨,多个 TOKEN 仍共享同一个账户余额。
请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。python
import requests
BASE_URL = "https://api.justoneapi.com" # 由 OpenAPI servers 提供
url = BASE_URL + "/api/amazon/get-product-top-reviews/v1?token=YOUR_API_KEY&asin=VALUE"
response = requests.get(url, timeout=120)
print(response.status_code)
if response.content:
content_type = response.headers.get("content-type", "").lower()
if "json" in content_type:
try:
print(response.json())
except ValueError:
print(response.text)
elif content_type.startswith("text/") or "xml" in content_type or content_type.split(";", 1)[0].strip() in {"application/javascript", "application/x-www-form-urlencoded", "application/graphql"}:
print(response.text)
else:
with open("response.bin", "wb") as output:
output.write(response.content)
print(f"Saved {len(response.content)} bytes to response.bin")js
const BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
const url = BASE_URL + "/api/amazon/get-product-top-reviews/v1?token=YOUR_API_KEY&asin=VALUE";
const response = await fetch(url, {
method: "GET",
signal: AbortSignal.timeout(120000)
});
console.log(response.status);
const responseBytes = await response.arrayBuffer();
if (responseBytes.byteLength) {
const contentType = (response.headers.get("content-type") || "").toLowerCase();
const mediaType = contentType.split(";", 1)[0].trim();
const textual = contentType.startsWith("text/") || contentType.includes("json") || contentType.includes("xml") || ["application/javascript", "application/x-www-form-urlencoded", "application/graphql"].includes(mediaType);
if (textual) {
const responseText = new TextDecoder().decode(responseBytes);
let data = responseText;
if (contentType.includes("json")) {
try { data = JSON.parse(responseText); } catch { /* Keep the raw body. */ }
}
console.log(data);
} else {
console.log(`Received ${responseBytes.byteLength} binary bytes`);
}
}java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.time.Duration;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Path;
public class Main {
public static void main(String[] args) throws Exception {
final String BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
final String url = BASE_URL + "/api/amazon/get-product-top-reviews/v1?token=YOUR_API_KEY&asin=VALUE";
HttpClient client = HttpClient.newBuilder().connectTimeout(Duration.ofSeconds(120)).build();
HttpRequest.Builder builder = HttpRequest.newBuilder()
.uri(URI.create(url))
.timeout(Duration.ofSeconds(120))
.method("GET", HttpRequest.BodyPublishers.noBody());
HttpRequest request = builder.build();
HttpResponse<byte[]> response = client.send(request, HttpResponse.BodyHandlers.ofByteArray());
System.out.println(response.statusCode());
String contentType = response.headers().firstValue("content-type").orElse("").toLowerCase();
String mediaType = contentType.split(";", 2)[0].trim();
if (contentType.startsWith("text/") || contentType.contains("json") || contentType.contains("xml") || mediaType.equals("application/javascript") || mediaType.equals("application/x-www-form-urlencoded") || mediaType.equals("application/graphql")) {
System.out.println(new String(response.body(), StandardCharsets.UTF_8));
} else {
Files.write(Path.of("response.bin"), response.body());
System.out.println("Saved " + response.body().length + " bytes to response.bin");
}
}
}go
package main
import (
"fmt"
"io"
"os"
"strings"
"net/http"
"time"
)
const BASE_URL = "https://api.justoneapi.com" // 由 OpenAPI servers 提供
func main() {
client := &http.Client{Timeout: 120 * time.Second}
url := BASE_URL + "/api/amazon/get-product-top-reviews/v1?token=YOUR_API_KEY&asin=VALUE"
req, _ := http.NewRequest("GET", url, nil)
resp, _ := client.Do(req)
defer resp.Body.Close()
fmt.Println(resp.StatusCode)
bodyBytes, _ := io.ReadAll(resp.Body)
contentType := strings.ToLower(resp.Header.Get("Content-Type"))
mediaType := strings.TrimSpace(strings.SplitN(contentType, ";", 2)[0])
if strings.HasPrefix(contentType, "text/") || strings.Contains(contentType, "json") || strings.Contains(contentType, "xml") || mediaType == "application/javascript" || mediaType == "application/x-www-form-urlencoded" || mediaType == "application/graphql" {
fmt.Println(string(bodyBytes))
} else {
os.WriteFile("response.bin", bodyBytes, 0600)
fmt.Printf("Saved %d bytes to response.bin\n", len(bodyBytes))
}
}php
<?php
$BASE_URL = 'https://api.justoneapi.com'; // 由 OpenAPI servers 提供
$url = $BASE_URL . '/api/amazon/get-product-top-reviews/v1?token=YOUR_API_KEY&asin=VALUE';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_TIMEOUT, 120);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
$contentType = strtolower((string) curl_getinfo($ch, CURLINFO_CONTENT_TYPE));
curl_close($ch);
echo $status . PHP_EOL;
$mediaType = trim(explode(';', $contentType, 2)[0]);
if (str_starts_with($contentType, 'text/') || str_contains($contentType, 'json') || str_contains($contentType, 'xml') || in_array($mediaType, ['application/javascript', 'application/x-www-form-urlencoded', 'application/graphql'], true)) {
echo $response;
} else {
file_put_contents('response.bin', $response);
echo 'Saved ' . strlen($response) . ' bytes to response.bin' . PHP_EOL;
}返回字段
业务成功时(code = 0)的主要返回字段。
站点与返回结果4 个字段
data
Amazon 站点、商品评分分布和返回的热门评论。
| 字段 | 类型 | 说明 |
|---|---|---|
asin | string | 请求商品的 Amazon 标准识别号(ASIN)。 |
country | string | 本次响应对应的 Amazon 站点国家或地区代码。 |
domain | string | 本次响应对应的 Amazon 站点域名。 |
reviews | array | 该商品在当前站点返回的热门评论。即使有评分分布,评论列表也可能为空。 |
评分分布5 个字段
data.rating_distribution
商品各星级评分的占比,以整数百分比表示。
| 字段 | 类型 | 说明 |
|---|---|---|
1 | integer | 1 星评分的占比,以整数百分比表示。 |
2 | integer | 2 星评分的占比,以整数百分比表示。 |
3 | integer | 3 星评分的占比,以整数百分比表示。 |
4 | integer | 4 星评分的占比,以整数百分比表示。 |
5 | integer | 5 星评分的占比,以整数百分比表示。 |
评论内容13 个字段
data.reviews[]
本次返回的一条商品热门评论。
| 字段 | 类型 | 说明 |
|---|---|---|
review_id | string | Amazon 评论标识。 |
review_title | string | 评价标题。 |
review_comment | string | 评论者撰写的正文。 |
review_star_rating | string | 该条评论的星级,以数字字符串返回。 |
review_link | string | 这条评论的 Amazon 公开链接。 |
review_images | array | 评论附带的图片,列表可以为空。 |
review_video | - | 评论视频信息。在已核验的样本中返回 null。 |
review_date | string | 评论发布日期的展示文本。 |
review_date_iso | string | 评论发布日期,存在时以 YYYY-MM-DD 字符串返回。 |
is_verified_purchase | boolean | Amazon 是否将这条评论标为已验证购买。 |
country | string | 该条评论关联的国家或地区代码。 |
review_language | string | 评论的语言代码。 |
is_vine | boolean | Amazon 是否将这条评论标为 Vine 评论。 |
评论者与有帮助票数6 个字段
data.reviews[]
| 字段 | 类型 | 说明 |
|---|---|---|
review_author_id | string | 评论者在 Amazon 的公开资料标识。 |
review_author | string | 评论者的公开显示名称。 |
review_author_url | string | 评论者在 Amazon 的公开资料链接。 |
review_author_avatar | string | 评论者的公开头像图片链接。 |
helpful_vote_statement | string | 该条评论的有帮助票数展示文本。 |
helpful_votes | integer | null | 评论获评有帮助的票数,票数不可用时为 null。 |
对应商品与规格7 个字段
data.reviews[]
| 字段 | 类型 | 说明 |
|---|---|---|
reviewed_product_asin | string | 该条评论对应商品的 ASIN。 |
reviewed_product_url | string | 该条评论对应商品的 Amazon 公开链接。 |
reviewed_product_variant | object | 评论对应商品所展示的规格属性。属性名称随商品变化。 |
reviewed_product_variant.Color | string | 评论对应商品规格所展示的颜色。 |
reviewed_product_variant.Size | string | 评论对应商品规格所展示的尺寸。 |
reviewed_product_variant.Style | string | 评论对应商品规格所展示的款式。 |
is_different_asin | boolean | 该条评论对应的商品 ASIN 是否与请求的 ASIN 不同。 |
响应示例
正在加载响应示例…